package controllers

import (
	"html/template"
	"officeHours/models"
)

var Templates, _ = template.Must(template.ParseFiles(
	"templates/addFailure.html",
	"templates/addMask.html",
	"templates/addSuccess.html",
	"templates/deleteSuccess.html",
	"templates/executeFailure.html",
	"templates/executeSuccess.html",
	"templates/footer.html",
	"templates/head.html",
	"templates/index.html",
	"templates/officeHourTable.html",
	"templates/requestNotFound.html")).
	New("").Funcs(template.FuncMap{"DayName": models.DayName,
	"divide": func(i int, j int) int { return i / j }}).ParseFiles("templates/confirmationMail", "templates/td.html")
